﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bonobo.Reader
{
    public struct BonoboItemFilter
    {
        private List<String> _tags;
        private int _startIndex;
        private bool _onlyRead;
        private int _itemCount;

        public List<String> Tags
        {
            get { return _tags; }
            set { _tags = value; }
        }

        public int StartIndex
        {
            get { return ((_startIndex > 0) ? _startIndex : 0); }
            set { _startIndex = value; }
        }

        public bool OnlyUnread
        {
            get { return _onlyRead; }
            set { _onlyRead = value; }
        }

        public int ItemCount
        {
            get { return ((_itemCount > 0) ? _itemCount : 0); }
            set { _itemCount = value; }
        }

        public BonoboItemFilter(int startIndex, bool onlyUnread, int itemCount, List<String> tags)
        {
            _tags = tags;
            _startIndex = startIndex;
            _onlyRead = onlyUnread;
            _itemCount = itemCount;
        }
    }
}
