﻿using System;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Windows;

namespace Bonobo.Reader
{
    public abstract class BonoboItemProvider
    {
        public abstract ObservableCollection<BonoboItem> GetItems(BonoboItemFilter filter);
        public abstract IEnumerable<BonoboMenuCommand> MenuCommands { get;}
        public abstract DataTemplate ItemDataTemplate { get; }
        public abstract Type ItemType { get; }
    }
}
